! Build with Setting:
! Fortan -> Floating Point -> "Enable Floating Point Consistency".
Program Main_Noise
use dflib

external f
character(100) name, fname*260
character(132) f_source, f_text

! [a,b]
! N = nr. de puncte in [a,b]
 
print '(a,\)', ' Input a,b: '
read *, a,b

print '(/, a,\)', ' Input N: '
read *, N

print '(/, a,\)', ' Nume Fisier de iesire (fara ext.): '
read *, name

fname =trim(name)//'.dat'


open (1, file =fname, status ='unknown', form ='formatted')

f_source ='fun.f90'
call F_Expr(f_source, f_text)

write(1,*) trim(f_text)
write(1,*) 'Date:', '[', a, ',', b, ']', N

call FPprecis(FPCW$24)
call Noise(f, a, b, n)

write(*, '(/, a, a)') ' Fisier de iesire: ', trim(fname)

END Program Main_Noise
